#!/bin/sh
# make-sqldb-empty.txt - Bash MySQL utility
# License:  CC BY-NC-SA Unported 3.0
# Author:   Robert Kiraly (OldCoder)
# Revision: 130802

#---------------------------------------------------------------------
# Overview.

# This Linux Bash script demonstrates how to create  a new (and empty)
# MySQL database under Linux using MySQL commands at the Bash level.

#---------------------------------------------------------------------
# Program parameters.

# DBNAME specifies a  database name.  This is  not a filename  but the
# MySQL-level name that should be used for the new database. The data-
# base  will  be  created.  If  it already exists,  it will be deleted
# first.

# DBUSER specifies a  database user.  This is not a Linux user account
# name  but the MySQL-level name of a database user. The user does not
# need to exist already.

# It is not uncommon for DBNAME and DBUSER  to  specify the  same name
# but this is not by any means required.

# DBPASS specifies the MySQL-level password for the specified database
# user.

# DBROOTPASS specifies the  MySQL-level password for the MySQL admini-
# strator (i.e., root) user.

DBNAME=broccoli
DBUSER=broccoli
DBPASS=veggiesaregood
DBROOTPASS='rootinallyerservers'

#---------------------------------------------------------------------
# Start MySQL.

mysql -uroot -p$DBROOTPASS << END

#---------------------------------------------------------------------
# Create and select database.

drop   database if exists $DBNAME;
create database $DBNAME;
use $DBNAME;

#---------------------------------------------------------------------
# Set up database user.

grant  usage on *.* to '$DBUSER'@'localhost';
drop   user '$DBUSER'@'localhost';
create user '$DBUSER'@'localhost' identified by '$DBPASS';
grant all on $DBNAME.* TO '$DBUSER'@'localhost';

#---------------------------------------------------------------------
# End of script.

# The following label is required.

END
